import { ItemComponentTypes, world } from "@minecraft/server";

export function getEnchants(itemStack) {
    const enchantComponent = itemStack.getComponent(ItemComponentTypes.Enchantable)
    if (!enchantComponent) return false
    const enchants = enchantComponent.getEnchantments()
    return enchants.length > 0 ? enchants : false
}

// export function enchantData(entity) {
//     const enchantProperty = "lb_as:enchants"
//     if (!entity.getDynamicPropertyIds().includes(enchantProperty)) set({})

//     function set(data) {
//         entity.setDynamicProperty(enchantProperty, JSON.stringify(data))
//     }

//     function get() {
//         return JSON.parse(entity.getDynamicProperty(enchantProperty))
//     }
    
//     return {
//         get: () => {return get()},
//         set: (data) => set(data)
//     }
// }